<?php
// ---------------------------------------------------
//
//  Chargement des header et config
//
//  ---------------------------------------------------
include("include/header.inc");
include("include/config.inc");


// ---------------------------------------------------
//
//  Chargement des listes
//
//  ---------------------------------------------------
include("include/loadlist.inc");


// ---------------------------------------------------
//
//  Contrle des fichiers de config des participants
//  Chaque participant doit possder ses fichier de 
//  config. Si non, cration de ceux-ci.
//
//  ---------------------------------------------------
foreach($USER as $iduser => $value) {
	if(!file_exists("data/".$iduser.".info")) {
		$fp = fopen("data/".$iduser.".info","w");
		foreach($ORGANISATION as $id => $val) {
			if ($id == "reponse") {
				fwrite($fp, $id."=non\r\n");
			} else {
				fwrite($fp, $id."=na\r\n");
			}
		}
		fclose($fp);
	}
	if(!file_exists("data/".$iduser.".game")) {
		$fp = fopen("data/".$iduser.".game","w");
		foreach($GAME as $id => $val) {
			fwrite($fp, $id."=na\r\n");
		}
		fclose($fp);
	}
}

// ---------------------------------------------------
//
//  Tableau ORGANISATION
//
//  ---------------------------------------------------
$nb_col = count($ORGANISATION);
$lg_tab = ($lg_col * $nb_col) + $lg_col_nom;

print('<br><br>');	
print('<table class="tab" width='.$lg_tab.'>');
	print('<tr><td colspan='.($lg_col + 1).'><h1>Organisation LAN 2012<h1></td></tr>');	

	// En-tte tableau ORGANISATION
	print('<tr class="trred">');
		print('<td width='.$lg_col_nom.' height="40" align="right">&nbsp;</td>');
		foreach($ORGANISATION as $id => $nc) { 
			$nc = str_replace(" ", "<br>", $nc);
			print('<th align="center" width='.$lg_col.'>'.$nc.'</td>');	
		}
	print('</tr>');

	// Contenu tableau ORGANISATION
	foreach($USER as $id => $nc) {
		print('<tr class="trred">');
			print('<th width='.$lg_col_nom.' height="40" align="right"><a href="config.php?u='.$id.'">'.$nc.'</a>&nbsp;&nbsp;</td>');

			// Chargement des paramtres associs
			$PARAM = array();
			$fp = fopen("data/".$id.".info", "rb"); 
			while ( ($ligne = fgets($fp)) !== false) { 
				$param = explode("=", $ligne); 
				$idParam = $param[0]; 
				$valParam = $param[1]; 
				$PARAM[$idParam] = $valParam; 
			} 
			fclose($fp);
			
			// Application des rgles de cohrence
			if (array_key_exists("reponse", $PARAM) && (trim($PARAM['reponse']) == "oui")) {
				// REPONSE = OUI, etape suivante
				if (array_key_exists("presence", $PARAM) && (trim($PARAM['presence']) == "non")) {
					// REPONSE = OUI, PRESENCE = NON, tous les autres paramtres passent  NONE
					foreach($ORGANISATION as $id => $nc) {
						if (($id == "reponse") || ($id == "presence")) {
							$PARAM['presence'] = "non";
							$PARAM['reponse'] = "oui";
						} else {
							$PARAM[$id] = "none";
						}
					}
				} else {
					// REPONSE = OUI, PRESENCE <> NON, etape suivante
					if ((array_key_exists("relais", $PARAM)) && (trim($PARAM['relais']) == "oui")) {
							// RELAIS = OUI, donc INTERNET = NON
							$PARAM['internet'] = "none";
					}
					if ((array_key_exists("internet", $PARAM)) && (trim($PARAM['internet']) == "oui")) {
						// INTERNET = OUI, donc RELAIS = NON
						$PARAM['relais'] = "non";
					}
				}
			} else {
				// REPONSE <> OUI, donc par dfaut REPONSE = NON et tous les autres paramtres  NONE
				foreach($ORGANISATION as $id => $nc) {
					if ($id == "reponse") {
						$PARAM[$id] = "non";
					} else {
						$PARAM[$id] = "none";
					}
				}
			}
			foreach($ORGANISATION as $id => $nc) { 
				if (array_key_exists($id, $PARAM)) {
					print('<td align="center" width='.$lg_col.'><img width='.$lg_images.' height='.$h_images.' src="img/'.$PARAM[$id].'.jpg"></td>');
				} 
			}
		print('<tr>');
	}
print('</table>');	


// ---------------------------------------------------
//
//  Tableau JEUX
//
//  ---------------------------------------------------
$nb_col = count($GAME);
$lg_tab = ($lg_col * $nb_col) + $lg_col_nom;

print('<br><br>');
print('<table class="tab" width='.$lg_tab.'>');
	print('<tr><td colspan='.($nb_col + 1).'><h1>Liste des JEUX<h1></td></tr>');	

	// En-tte tableau JEUX
	print('<tr class="trred">');
		print('<td width='.$lg_col_nom.' height="40" align="right">&nbsp;</td>');
		foreach($GAME as $id => $nc) { 
			$nc = str_replace(" ", "<br>", $nc);
			print('<th align="center" width='.$lg_col.'>'.strtoupper($id).'</td>');	
		}
	print('</tr>');

	// Contenu tableau JEUX
	foreach($USER as $id=> $nc) {
		print('<tr class="trred">');
			print('<th width='.$lg_col_nom.' height="40" align="right"><a href="config.php?u='.$id.'">'.$nc.'</a>&nbsp;&nbsp;</td>');

			// Chargement des paramtres associs
			$PARAM = array();
			$fp = fopen("data/".$id.".game", "rb"); 
			while ( ($ligne = fgets($fp)) !== false) { 
				$param = explode("=", $ligne); 
				$idParam = $param[0]; 
				$valParam = $param[1]; 
				$PARAM[$idParam] = $valParam; 
			} 
			fclose($fp);
			foreach($GAME as $id => $nc) { 
				if (array_key_exists($id, $PARAM)) {
					print('<td align="center" width='.$lg_col.'><img width='.$lg_images.' height='.$h_images.' src="img/'.$PARAM[$id].'.jpg"></td>');
				} else {
					print('<td align="center" width='.$lg_col.'><img width='.$lg_images.' height='.$h_images.' src="img/na.jpg"></td>');
				}
			}
		print('<tr>');
	}
	print('<tr class="trred">');
		print('<td colspan='.($nb_col + 1).' height="40">');
			print('<br>');
			foreach($GAME as $id => $nc) { 
				print('&nbsp;<b>'.strtoupper($id).'</b> : '.$nc.'<br>');	
			}
			print('<br>');
		print('</td>');
	print('</tr>');	
	print('<tr class="trred">');
		print('<td colspan='.($nb_col + 1).' height="40">');	
			print('<br>');
			print('&nbsp;<img width='.$lg_images.' height='.$h_images.' src="img/oui.jpg"> : Je suis ok pour ce jeu au LAN ... ET je le possde dj !');
			print('<br>');
			print('&nbsp;<img width='.$lg_images.' height='.$h_images.' src="img/buy.jpg"> : Je suis ok pour ce jeu au LAN ... MAIS je dois l\'acheter avant ! <br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(A acheter uniquement si le jeu est DEFINITIVEMENT adopt pour le LAN videmment)');
			print('<br>');
			print('&nbsp;<img width='.$lg_images.' height='.$h_images.' src="img/non.jpg"> : Je ne veux pas de ce jeu au LAN');
			print('<br><br>');
		print('</td>');
	print('</tr>');		
print('</table>');	


// ---------------------------------------------------
//
//  Tableau MATERIEL
//
//  ---------------------------------------------------
$nb_col = count($MATERIEL);
$lg_tab = ($lg_col * $nb_col) + $lg_col_nom;

print('<br><br>');
print('<table class="tab" width='.$lg_tab.'>');
	print('<tr><td colspan='.($nb_col + 1).'><h1>Inventaire du matriel<h1></td></tr>');	

	// En-tte tableau MATERIEL
	print('<tr class="trred">');
		print('<td width='.$lg_col_nom.' height="40" align="right">&nbsp;</td>');
		foreach($MATERIEL as $id => $nc) { 
			$nc = str_replace(" ", "<br>", $nc);
			print('<th align="center" width='.$lg_col.'>'.strtoupper($id).'</td>');	
		}
	print('</tr>');

	// Contenu tableau MATERIEL
	foreach($USER as $id=> $nc) {
		print('<tr class="trred">');
			print('<th width='.$lg_col_nom.' height="40" align="right"><a href="config.php?u='.$id.'">'.$nc.'</a>&nbsp;&nbsp;</td>');

			// Chargement des paramtres associs
			$PARAM = array();
			$fp = fopen("data/".$id.".game", "rb"); 
			while ( ($ligne = fgets($fp)) !== false) { 
				$param = explode("=", $ligne); 
				$idParam = $param[0]; 
				$valParam = $param[1]; 
				$PARAM[$idParam] = $valParam; 
			} 
			fclose($fp);
			foreach($MATERIEL as $id => $nc) { 
				if (array_key_exists($id, $PARAM)) {
					print('<td align="center" width='.$lg_col.'><img width='.$lg_images.' height='.$h_images.' src="img/'.$PARAM[$id].'.jpg"></td>');
				} else {
					print('<td align="center" width='.$lg_col.'><img width='.$lg_images.' height='.$h_images.' src="img/na.jpg"></td>');
				}
			}
		print('<tr>');
	}
	print('<tr class="trred">');
		print('<td colspan='.($nb_col + 1).' height="40">');
			print('<br>');
			foreach($MATERIEL as $id => $nc) { 
				print('&nbsp;<b>'.strtoupper($id).'</b> : '.$nc.'<br>');	
			}
			print('<br>');
		print('</td>');
	print('</tr>');	
	print('<tr class="trred">');
		print('<td colspan='.($nb_col + 1).' height="40">');	
			print('<br>');
			print('&nbsp;<img width='.$lg_images.' height='.$h_images.' src="img/oui.jpg"> : Je suis ok pour ce jeu au LAN ... ET je le possde dj !');
			print('<br>');
			print('&nbsp;<img width='.$lg_images.' height='.$h_images.' src="img/buy.jpg"> : Je suis ok pour ce jeu au LAN ... MAIS je dois l\'acheter avant ! <br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(A acheter uniquement si le jeu est DEFINITIVEMENT adopt pour le LAN videmment)');
			print('<br>');
			print('&nbsp;<img width='.$lg_images.' height='.$h_images.' src="img/non.jpg"> : Je ne veux pas de ce jeu au LAN');
			print('<br><br>');
		print('</td>');
	print('</tr>');		
print('</table>');	

?>

